<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE module-description PUBLIC "-//StarOffice//DTD ComponentDescription 1.0//EN" "module-description.dtd">
<module-description xmlns:xlink="http://www.w3.org/1999/xlink">
    <module-name>	bridgefac.uno	</module-name>
    <component-description>
        <author> Joerg Budischewski </author>
        <name>	com.sun.star.comp.remotebridges.BridgeFactory </name>
        <description>
            This component allows
            to establish a connection to another process.
        </description>
        <loader-name>	com.sun.star.loader.SharedLibrary	</loader-name>
        <language>	c++	</language>
        <status value="final"/>
        <supported-service>	com.sun.star.bridge.BridgeFactory	</supported-service>
        <service-dependency>	...	</service-dependency>
        <type>	 com.sun.star.bridge.XBridgeFactory         		</type>
        <type>	 com.sun.star.bridge.XInstanceProvider      		</type>
        <type>	 com.sun.star.bridge.XBridge                		</type>
        <type>	 com.sun.star.bridge.BridgeExistsException  		</type>
        <type>	 com.sun.star.container.XContentEnumerationAccess	</type>
        <type>	 com.sun.star.lang.DisposedException	     		</type>
        <type>	 com.sun.star.lang.XMultiServiceFactory     		</type>
        <type>	 com.sun.star.lang.XSingleServiceFactory    		</type>
        <type>	 com.sun.star.lang.XInitialization          		</type>
        <type>	 com.sun.star.lang.XComponent               		</type>
        <type>	 com.sun.star.lang.XServiceInfo             		</type>
        <type>	 com.sun.star.lang.XTypeProvider            		</type>
        <type>	 com.sun.star.lang.IllegalArgumentException 		</type>
        <type>	 com.sun.star.lang.XInitialization          		</type>
        <type>	 com.sun.star.registry.XRegistryKey         		</type>
        <type>	 com.sun.star.lang.XSingleComponentFactory         	</type>
        <type>	 com.sun.star.uno.XComponentContext                	</type>
        <type>	 com.sun.star.uno.XWeak                     		</type>
        <type>	 com.sun.star.uno.TypeClass                 		</type>
        <type>	 com.sun.star.uno.XAggregation              		</type>
    </component-description>
    <project-build-dependency>	cppuhelper	</project-build-dependency>
    <project-build-dependency>	cppu		</project-build-dependency>
    <project-build-dependency>	sal			</project-build-dependency>
    <runtime-module-dependency>	cppuhelper3	</runtime-module-dependency>
    <runtime-module-dependency>	cppu3		</runtime-module-dependency>
    <runtime-module-dependency>	sal3		</runtime-module-dependency>
</module-description>
